Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListProxyService

    java.lang.Object
      oracle.ifs.server.AccessControlListProxyService

All Implemented Interfaces:
  SubService

Direct Known Subclasses:
  TieAccessControlListProxyService

    public class AccessControlListProxyService

extends java.lang.Object
implements SubService

An AccessControlListProxyService manages the ACL proxy table.

(Unpublished)

Field Summary
`static java.lang.String` | `ACLPROXY_TABLENAME`
`protected AccessControlListIndexService` | `m_AclIndexService` The AccessControlListIndexService that encloses this instance.
`protected S_LibraryService` | `m_Service` The S_LibraryService to which this instance belongs.

Constructor Summary
`protected` | `AccessControlListProxyService(S_LibraryService service, AccessControlListIndexService aclIndexServ)` Construct an AccessControlListProxyService.

Method Summary
`protected void` | `deleteAllSecuredPublicObject(S_LibrarySession sess, java.lang.Long securing)` Delete all ACL Proxy entries for a specified Securing object
`protected void` | `deleteSecuredPublicObject(S_LibrarySession sess, java.lang.Long securing, java.lang.Long secured)` Delete an ACL Proxy entry
`void` | `dispose()` Terminate this subservice.
`protected S_PublicObject[]` | `getSecuredPublicObjects(S_LibrarySession sess, java.lang.Long id)` Get the Secured PublicObjects.
`protected S_PublicObject[]` | `getSecuredPublicObjectsLite(S_LibrarySession sess, java.lang.Long id)` Gets all the objects secured by the given public objects.
`protected void` | `insertSecuredPublicObject(S_LibrarySession sess, java.lang.Long securing, java.lang.Long secured, java.lang.Long securedClass)` Add an ACL Proxy entry.
`protected void` | `updateSecurityForPublicObjectsSecuredByUs(S_LibrarySession sess, java.lang.Long securingId, PropagatingSecuritySettings psec)` Updates the security settings of the secured public object upon a change in the security of the securing public object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACLPROXY_TABLENAME

    public static final java.lang.String ACLPROXY_TABLENAME

See Also:
  Constant Field Values

### m_Service

    protected S_LibraryService m_Service

  Description copied from class: `AccessControlListProxyService`
  The S_LibraryService to which this instance belongs.

  (Unpublished)

### m_AclIndexService

    protected AccessControlListIndexService m_AclIndexService

  Description copied from class: `AccessControlListProxyService`
  The AccessControlListIndexService that encloses this instance.

  (Unpublished)

Constructor Detail

### AccessControlListProxyService

    protected AccessControlListProxyService(S_LibraryService service,
                                            AccessControlListIndexService aclIndexServ)
                                     throws IfsException

  Construct an AccessControlListProxyService.

  Parameters:
    `service` - the S_LibraryService that owns this instance
    `aclIndexServ` - the AccessControlListIndexService that controls this instance
  Throws:
    `IfsException` - if operation fails.

Method Detail

### dispose

    public void dispose()
                 throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Terminate this subservice.

  This method is required by the SubService interface; it currently does nothing.

  Specified by:
    `dispose` in interface `SubService`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSecuredPublicObjects

    protected S_PublicObject[] getSecuredPublicObjects(S_LibrarySession sess,
                                                       java.lang.Long id)
                                                throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Get the Secured PublicObjects.

  Parameters:
    `sess` - requesting session
    `id` - ACL id
  Throws:
    `IfsException` - if operation fails.

### getSecuredPublicObjectsLite

    protected S_PublicObject[] getSecuredPublicObjectsLite(S_LibrarySession sess,
                                                           java.lang.Long id)
                                                    throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Gets all the objects secured by the given public objects. This method constructs S_PublicObject in a cheaper way without bringing in all the attribute data. Objects in the returns array cannot be used in a general purpose manner.

  Parameters:
    `sess` - session context
    `id` - id of the securing object
  Returns:
    array of POs secured by supplied object
  Throws:
    `IfsException` - if the operation fails

### insertSecuredPublicObject

    protected void insertSecuredPublicObject(S_LibrarySession sess,
                                             java.lang.Long securing,
                                             java.lang.Long secured,
                                             java.lang.Long securedClass)
                                      throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Add an ACL Proxy entry.

  Parameters:
    `sess` - requesting session
    `securing` - the Securing PublicObject id
    `secured` - the Secured PublicObject id
    `securedClass` - the class id of the secured po
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### deleteSecuredPublicObject

    protected void deleteSecuredPublicObject(S_LibrarySession sess,
                                             java.lang.Long securing,
                                             java.lang.Long secured)
                                      throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Delete an ACL Proxy entry

  Parameters:
    `sess` - requesting session
    `securing` - the Securing PublicObject id
    `secured` - the Secured PublicObject id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### deleteAllSecuredPublicObject

    protected void deleteAllSecuredPublicObject(S_LibrarySession sess,
                                                java.lang.Long securing)
                                         throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Delete all ACL Proxy entries for a specified Securing object

  Parameters:
    `sess` - requesting session
    `securing` - the Securing PublicObject id
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### updateSecurityForPublicObjectsSecuredByUs

    protected void updateSecurityForPublicObjectsSecuredByUs(S_LibrarySession sess,
                                                             java.lang.Long securingId,
                                                             PropagatingSecuritySettings psec)
                                                      throws IfsException

  Description copied from class: `AccessControlListProxyService`
  Updates the security settings of the secured public object upon a change in the security of the securing public object.

  Parameters:
    `sess` - requesting session
    `securingId` - the securing PublicObject id
    `psec` - the security settings to propagate
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD